Loading...
Searching...
No Matches
caf::has_make_error< T > Struct Template Reference

Evaluates to true if T is an enum with a free function make_error for converting it to an error. More...

`#include <error.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class T>
struct caf::has_make_error< T >

Evaluates to true if T is an enum with a free function make_error for converting it to an error.

## Member Data Documentation

## value

template<class T>

bool caf::has_make_error< T >::value

static constexpr

Initial value:
= std::is_enum<T>::value
&& std::is_same<error, type>::value

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/error.hpp